var five = require("../lib/johnny-five.js");

(new five.Board()).on("ready", function() {
  var segment, display;

  segment = [ 91, 6, 63 ];

  display = new five.ShiftRegister({
    pins: {
      data: 4, clock: 8, latch: 7
    }
  });

  // Create servos on pins: 9, 10, 11
  [ 9, 10, 11 ].forEach(function( pin, k ) {
    var servo = new five.Servo( pin );

    // Initialize analog slider, set a scale for its value
    // and listen for slide events. Use the scaled value to
    // set the position of the associated servo
    new five.Sensor( "A" + k ).scale( 0, 440 ).on("slide", function() {
      // console.log( "Slider", k, Math.round(this.value) );
      servo.move( Math.round(this.value) );

      display.send(255).send(
        ((~segment[ k ] << 24) >> 24) & 255
      );
    });
  });
});
