#!/usr/bin/env node --harmony

var five = require("../lib/johnny-five.js"),
    board, dht;

board = new five.Board();

board.on("ready", function() {

  // Create a new `dht` hardware instance.
  dht = new five.DHT(2);

  // Inject the `dht` hardware into
  // the Repl instance's context;
  // allows direct command line access
  board.repl.inject({
    dht: dht
  });

  // Properties

  // dht.normalized
  //
  // Current value of a dht 0-255
  //

  // dht.scaled
  //
  // Current value of a dht, scaled to a value
  // between the lower and upper bound set by calling
  // scale( low, high ).
  //
  // Defaults to value between 0-255
  //


  // Sensor Event API

  // "read"
  //
  // Fires when the pin is read for a value
  //
  // dht.on("read", function() {
  //   console.log( this.normalized, this.scaled );
  // });

  // "change"
  //
  // Aliases: "bend", "force", "slide", "touch"
  //
  // Fires when value of dht changes
  //
});

// Tutorials
//
// http://protolab.pbworks.com/w/page/19403657/TutorialSensors
// http://www.dfrobot.com/wiki/index.php?title=Analog_Slide_Position_Sensor_(SKU:_DFR0053)
