var five = require("../lib/johnny-five.js");

(new five.Board()).on("ready", function() {
  var segment, display, arm, stick, center;

  segment = [ 91, 6, 63 ];

  display = new five.ShiftRegister({
    pins: {
      data: 4, clock: 8, latch: 7
    }
  });

  stick = new five.Joystick({
    pins: [ "A4", "A5" ],
    freq: 100
  });

  // Create servos on pins: 9, 10, 11
  // Each are associated with a slider control
  [ 9, 10, 11 ].forEach(function( pin, k ) {
    var servo = new five.Servo( pin );

    // Initialize analog slider, set a scale for its value
    // and listen for slide events. Use the scaled value to
    // set the position of the associated servo
    new five.Sensor( "A" + k ).scale( 0, 440 ).on("slide", function() {
      // console.log( "Slider", k, Math.round(this.value) );
      servo.move( Math.round(this.value) );

      display.send(255).send(
        ((~segment[ k ] << 24) >> 24) & 255
      );
    });
  });

  // Testing a fourth servo for anorm movement
  this.repl.inject({
    s: (arm = new five.Servo({ pin:12, range: [ 0, 170 ] }))
  });

  stick.on("axismove", function() {
    arm.move(
      Math.floor(five.Fn.map( this.fixed.y, 0, 1, 0, 180 ))
    );
  });
});
