var five = require("../lib/johnny-five.js");

(new five.Board()).on("ready", function() {
  var arm, shoulder, stick;

  stick = new five.Joystick({
    pins: [ "A4", "A5" ],
    freq: 100
  });

  // Testing a fourth servo for anorm movement
  this.repl.inject({
    s: (shoulder = new five.Servo({ pin: 12, range: [ 0, 170 ] }))
  });


  // Create servos on pins: 9, 10, 11
  // Each are associated with a slider control
  [ 9, 10, 11 ].forEach(function( pin, k ) {
    var servo = new five.Servo( pin );

    if ( pin === 11 ) {
      arm = servo;
    }

    // Initialize analog slider, set a scale for its value
    // and listen for slide events. Use the scaled value to
    // set the position of the associated servo
    new five.Sensor( "A" + k ).scale( 0, 440 ).on("slide", function() {
      servo.move( Math.round(this.value) );
    });
  });

  stick.on("axismove", function() {
    shoulder.move(
      Math.floor(
        five.Fn.map( this.fixed.y, 0, 1, 0, 180 )
      )
    );
  });
});
