var five = require("../lib/johnny-five.js");

(new five.Board()).on("ready", function() {
  // Create Servos on pins: 9, 10, 11, 12
  // Each are associated with a slider control:
  // 9 = 0, 10 = 1, 11 = 2, 12 = 3
  [ 9, 10, 11, 12 ].forEach(function( pin, k ) {
    var servo = new five.Servo( pin );
    // Initialize analog slider, set a scale for its value
    // and listen for slide events. Use the scaled value to
    // set the position of the associated servo
    new five.Sensor( "A" + k ).scale( 0, 440 ).on("slide", function() {
      servo.move( Math.round(this.value) );
      console.log( "A" + k, Math.round(this.value) );
    });
  });

  this.repl.inject({
    servos: new five.Servo.Array()
  });
});
