var five = require("../lib/johnny-five.js"),
    OpenNI = require("openni"),
    kinect;

five.Board().on("ready", function() {

var defs, servos;
  // http://www.ranchbots.com/robot_arm/images/arm_diagram.jpg
  defs = [

    // Pivot
    { id: "rotator", pin:  6, range: [  10, 170 ], at: 90 },
    // Shoulder
    { id: "shoulder", pin:  9, range: [ 20, 150 ], at: 90 },
    // Elbow
    { id: "elbow", pin: 10, range: [  10, 120 ], at: 90 },
    // Wrist
    { id: "wrist", pin: 11, range: [  10, 170 ], at: 40 },
    // Grip
    { id: "claw", pin: 12, range: [  10, 170 ], at: 0 }
  ];

  servos = {};

  defs.forEach(function( def ) {
    servos[ def.id ] = five.Servo( def ).move( def.at );
  });

  this.repl.inject( servos );

  kinect = OpenNI();

  if ( kinect ) {
    // x-right, y-downwards, z-forward
    [
      // "right_collar",
      // "right_shoulder", // x (-30,30)
      "right_elbow",
      // "right_wrist",
      // "right_hand",
      // "right_fingertip",
    ].forEach(function( joint ) {
      kinect.on( joint, function( user, x, y, z ) {
        var name = joint.replace("right_", "");


        // console.log( name + ' (%d, %d, %d)', x, y, z);
        //
        if ( name === "elbow" ) {

          // console.log( x );
          servos.shoulder.move( five.Fn.map( y, 250, 70, 90, 150) );

          x = five.Fn.map( x, 80, 170, 20, 120);
          if ( x > -100 ) {
            servos.elbow.move( x );
          }

          // console.log( five.Fn.map( x, 80, 120, 20, 120) );
          // servos.elbow.move( five.Fn.map( x, 0, 90, 20, 120) );
        }
      });
    });
  }


});


// // Reference
// //
// // http://www.maxbotix.com/pictures/articles/012_Diagram_690X480.jpg


//http://www.kinectforums.com/getting-started-guide-f10/kinect-hacking-tutorial-begin-using-faast-t15.html
