var five = require("../lib/johnny-five.js"),
    temporal = require("temporal");

(new five.Board()).on("ready", function() {

  // Initialize a new Servo instance attached
  // to PWM pin 12. Set "center" to false to
  // prevent the servo from auto-centering
  var tapper = new five.Servo({
    pin: 12,
    center: false
  });

  // Position the tapper servo over the screen
  tapper.move(10);

  // This will allow us to control the tapper from
  // a command line, each time we enter "single()"
  // it will tap once, "double()" will tap twice
  // in succession.
  function single() {
    // Tap the touch screen
    tapper.move(0);

    temporal.delay( 100, function() {
      // "untap"
      tapper.move(5);
    });
  }
  function double() {
    single();

    temporal.delay( 250, function() {
      single();
    });
  }

  // Inject definitions for the "tapper" as well as a
  // "single" and "double" method into the REPL scope.
  //
  this.repl.inject({
    tapper: tapper,
    single: single,
    double: double
  });
});
