# Common Case value calculations.

eg. turning a reading into voltage—that should be a property already

```js
sensor.on( "change", function() {
  this.voltage
});
```




## Design Notes: Sensor.prototype.unit (function)


eg. `(((voltage - .5) * 100)*1.8) + 32;`

- `units("c" || "f")` is interesting
- units => unit
- a table of unit types and methods that calculate sensor values for common case stuff

```js
temp.unit("celcius").on("change", function() {

  this.celcius;

  ...

  will exist when a "unit" has been set by a call
  to unit() with argument "celcius"

  });

```


Internally...

```js
Sensor.TRANSFORMS = {

  fahrenheit: function() {
    return (((this.voltage - .5) * 100)*1.8) + 32;
  }

};
```
